<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/wwdt.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">wwdt.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series WWDT driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/d4e/wwdt_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2wwdt_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../dd/d09/wwdt_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga9b852e05848d68426dc0a486f0686ab3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9b852e05848d68426dc0a486f0686ab3">WWDT_PRESCALER_1</a>&#160;&#160;&#160;(0UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga9b852e05848d68426dc0a486f0686ab3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabecdc2785099003a5fa238409e9afa2a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabecdc2785099003a5fa238409e9afa2a">WWDT_PRESCALER_2</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gabecdc2785099003a5fa238409e9afa2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56ed61404a9c9a99e8194e4b61e79555"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga56ed61404a9c9a99e8194e4b61e79555">WWDT_PRESCALER_4</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga56ed61404a9c9a99e8194e4b61e79555"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef72209f0af03ba5dad7f20f60e96f6b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaef72209f0af03ba5dad7f20f60e96f6b">WWDT_PRESCALER_8</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gaef72209f0af03ba5dad7f20f60e96f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f45116cac760ba1af57b866379d88ec"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3f45116cac760ba1af57b866379d88ec">WWDT_PRESCALER_16</a>&#160;&#160;&#160;(4UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga3f45116cac760ba1af57b866379d88ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga73e0a70a3b34355289d32f3232911936"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga73e0a70a3b34355289d32f3232911936">WWDT_PRESCALER_32</a>&#160;&#160;&#160;(5UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga73e0a70a3b34355289d32f3232911936"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf0a32ca2e80935271a27db14ee9e9f90"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf0a32ca2e80935271a27db14ee9e9f90">WWDT_PRESCALER_64</a>&#160;&#160;&#160;(6UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gaf0a32ca2e80935271a27db14ee9e9f90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1231630df0280e8e29fa6ad637031e8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad1231630df0280e8e29fa6ad637031e8">WWDT_PRESCALER_128</a>&#160;&#160;&#160;(7UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gad1231630df0280e8e29fa6ad637031e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b732b29b03ecfa961696dea9c05ede1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b732b29b03ecfa961696dea9c05ede1">WWDT_PRESCALER_192</a>&#160;&#160;&#160;(8UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga2b732b29b03ecfa961696dea9c05ede1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5111fef2bd1bf9d1b8ca73b14e22e3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5111fef2bd1bf9d1b8ca73b14e22e3b">WWDT_PRESCALER_256</a>&#160;&#160;&#160;(9UL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gae5111fef2bd1bf9d1b8ca73b14e22e3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1653c950744619573bb39371f5cb650b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1653c950744619573bb39371f5cb650b">WWDT_PRESCALER_384</a>&#160;&#160;&#160;(0xAUL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga1653c950744619573bb39371f5cb650b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga016398b74088994686c047d0a1e91428"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga016398b74088994686c047d0a1e91428">WWDT_PRESCALER_512</a>&#160;&#160;&#160;(0xBUL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga016398b74088994686c047d0a1e91428"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5f52182a71a6d2c3b61a0d525ea9cd5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac5f52182a71a6d2c3b61a0d525ea9cd5">WWDT_PRESCALER_768</a>&#160;&#160;&#160;(0xCUL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gac5f52182a71a6d2c3b61a0d525ea9cd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga763bdcbfebf59ad93e7c1db205e3cd11"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga763bdcbfebf59ad93e7c1db205e3cd11">WWDT_PRESCALER_1024</a>&#160;&#160;&#160;(0xDUL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga763bdcbfebf59ad93e7c1db205e3cd11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf425638fba8194a62f3fa0423f21d69f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf425638fba8194a62f3fa0423f21d69f">WWDT_PRESCALER_1536</a>&#160;&#160;&#160;(0xEUL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:gaf425638fba8194a62f3fa0423f21d69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38a4ac3a2c0bbbcb953d21bf1bee058d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga38a4ac3a2c0bbbcb953d21bf1bee058d">WWDT_PRESCALER_2048</a>&#160;&#160;&#160;(0xFUL &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a55b5adc3e33eea1fc42ecb6e62b7ec66">WWDT_CR_PERIODSEL_Pos</a>)</td></tr>
<tr class="separator:ga38a4ac3a2c0bbbcb953d21bf1bee058d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga24cb5576ee52949dbc1ad964b2be24ef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dde/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga24cb5576ee52949dbc1ad964b2be24ef">WWDT_RELOAD_WORD</a>&#160;&#160;&#160;(0x00005AA5)</td></tr>
<tr class="separator:ga24cb5576ee52949dbc1ad964b2be24ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga825684fc705a28642de45da9f016fef2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga825684fc705a28642de45da9f016fef2">WWDT_CLEAR_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga825684fc705a28642de45da9f016fef2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clear WWDT time-out reset system flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga825684fc705a28642de45da9f016fef2">More...</a><br /></td></tr>
<tr class="separator:ga825684fc705a28642de45da9f016fef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac72648b277ba58cbcceedbc0b1440796"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac72648b277ba58cbcceedbc0b1440796">WWDT_CLEAR_INT_FLAG</a>()</td></tr>
<tr class="memdesc:gac72648b277ba58cbcceedbc0b1440796"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro clears WWDT compare match interrupt flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac72648b277ba58cbcceedbc0b1440796">More...</a><br /></td></tr>
<tr class="separator:gac72648b277ba58cbcceedbc0b1440796"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a6ebe0b489fd444d71f40462d205b89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a6ebe0b489fd444d71f40462d205b89">WWDT_GET_RESET_FLAG</a>()</td></tr>
<tr class="memdesc:ga2a6ebe0b489fd444d71f40462d205b89"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is use to get WWDT time-out reset system flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2a6ebe0b489fd444d71f40462d205b89">More...</a><br /></td></tr>
<tr class="separator:ga2a6ebe0b489fd444d71f40462d205b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa83997f797b9ed2f09b0e9a1b466fd1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa83997f797b9ed2f09b0e9a1b466fd1d">WWDT_GET_INT_FLAG</a>()</td></tr>
<tr class="memdesc:gaa83997f797b9ed2f09b0e9a1b466fd1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to indicate WWDT compare match interrupt flag.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa83997f797b9ed2f09b0e9a1b466fd1d">More...</a><br /></td></tr>
<tr class="separator:gaa83997f797b9ed2f09b0e9a1b466fd1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga025892cbdb7a4013240126e6d3f59a42"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga025892cbdb7a4013240126e6d3f59a42">WWDT_GET_COUNTER</a>()</td></tr>
<tr class="memdesc:ga025892cbdb7a4013240126e6d3f59a42"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro to reflects current WWDT counter value.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga025892cbdb7a4013240126e6d3f59a42">More...</a><br /></td></tr>
<tr class="separator:ga025892cbdb7a4013240126e6d3f59a42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2cbcdd676f337a6ae256477e71e9114"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac2cbcdd676f337a6ae256477e71e9114">WWDT_RELOAD_COUNTER</a>()</td></tr>
<tr class="memdesc:gac2cbcdd676f337a6ae256477e71e9114"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro is used to reload the WWDT counter value to 0x3F.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac2cbcdd676f337a6ae256477e71e9114">More...</a><br /></td></tr>
<tr class="separator:gac2cbcdd676f337a6ae256477e71e9114"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga918cf310aef9fe0717efb224d2a34ae9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">WWDT_Open</a> (uint32_t u32PreScale, uint32_t u32CmpValue, uint32_t u32EnableInt)</td></tr>
<tr class="memdesc:ga918cf310aef9fe0717efb224d2a34ae9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make WWDT module start counting with different counter period and compared window value.  <a href="../../d5/d17/group___n_a_n_o1_x2___w_w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga918cf310aef9fe0717efb224d2a34ae9">More...</a><br /></td></tr>
<tr class="separator:ga918cf310aef9fe0717efb224d2a34ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series WWDT driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>7 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/11/27 11:50a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../dd/d09/wwdt_8h_source.html">wwdt.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
